
#ifndef _ERRORHANDLING_
#define _ERRORHANDLING_


#ifndef __TYPES__
#include <Types.h>
#endif


/**\
|**| ==============================================================================
|**| PUBLIC ENUMS
|**| ==============================================================================
\**/
enum {
	rUserAlert = 1001,
	rFatalAlert
} ;

enum {
	rErrorStringIndex = 1000
} ;

enum {
	eGenericError = 1,
	eFatalNeedsAEVTMgr,			// This application needs AppleEvents run
	eFatalNoGXClientMemory,		// out of memory on GXEnterGraphics
	eFatalNoGXClient,			// could not create a gx client
	eWarnNoColorSync,
	eFatalNoWinHandle,
	eFatalNoProcPtr
} ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
void	FailIfErr	( OSErr error ) ;
void	AlertUser	( short error ) ;
void	FatalError	( short msgResId ) ;


#endif