
#ifndef _GXPRINTING_
#define _GXPRINTING_


#ifndef __EVENTS__
#include <Events.h>
#endif

#ifndef __GXTYPES__
#include <GXTypes.h>
#endif

#ifndef __GXPRINTING__
#include <GXPrinting.h>
#endif

#ifndef _WIN_
#include "win.h"
#endif


/**\
|**| ==============================================================================
|**| PUBLIC TYPEDEFS
|**| ==============================================================================
\**/
typedef struct MySpoolDataRec
{
		gxRectangle		pageArea;					// Page rectangle.
		gxViewPort		printViewPort;				// ViewPort we're printing with.

} MySpoolDataRec, *MySpoolDataPtr;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
void	SetupGXEditRecord		( void ) ;
void	AdjustMenusForPrinting	( void ) ;
void	InstallGXOverrides		( winHandle win ) ;
OSErr 	PrintingEventProc		( EventRecord *anEvent, Boolean filterEvent ) ;
OSErr 	DoGXStyleDlog			( gxJob	theJob ) ;
OSErr 	DoGXJobDlog				( gxJob	theJob ) ;
OSErr	MyGXPrintAShape			( gxShape currentShape, long refCon ) ;
OSErr 	DoGXPrintLoop			( winHandle theDocument ) ;


#endif