
#ifndef _APPMENUS_
#define _APPMENUS_


/**\
|**| ==============================================================================
|**| PUBLIC ENUMS
|**| ==============================================================================
\**/

/*------------------------------------------------------------------------------*\
	MENU enums
\*------------------------------------------------------------------------------*/
enum {
	mApple = 128,
	mFile,
	mEdit,
	mProfiles,
	mLastMenu = mProfiles,
	mFirstMenu = mApple
} ;

/*------------------------------------------------------------------------------*\
	MENU ITEM enums
\*------------------------------------------------------------------------------*/
enum {						// mApple
	iAbout = 1
} ;
enum {						// mFile
	iNew  = 1,
	iOpen,
	iFileUnused1,
	iClose,
	iSave,
	iSaveAs,
	iRevert,
	iFileUnused2,
	iPageSetup,
	iPrint,
	iPrintOne,
	iFileUnused3,
	iQuit
} ;
enum {						// mEdit
	iUndo = 1,
	iEditUnused1,
	iCut,
	iCopy,
	iPaste,
	iClear
} ;
enum {						// mProfiles
	iProfInfo = 1,
	iSystemProf,
	iCSFolder,
	iProfilesUnused1,
	iMakeSrceProf,
	iMakeDestProf,
	iMakePrevProf,
	iProfilesUnused2,
	iMakeEmbdProf
} ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
void dimAllMenus		( void ) ;
void DoAppAdjustMenus	( void ) ;
void HandleMenuCommand	( long menuResult ) ;


#endif