
#ifndef _COLORSYNCSTUFF_
#define _COLORSYNCSTUFF_


#ifndef __FILES__
#include <Files.h>
#endif

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifndef __CMICCPROFILE__
#include <CMICCProfile.h>
#endif


/**\
|**| ==============================================================================
|**| PUBLIC GLOBALS
|**| ==============================================================================
\**/
extern Boolean gCS2_available ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
Boolean	CS2_available					( void ) ;
CMError OpenProfileFSSpec				( FSSpec spec, CMProfileRef *prof ) ;
CMError ReOpenProfileRef				( CMProfileRef *newProf, CMProfileRef prof ) ;
CMError	GetProfVersion					( CMProfileRef prof, unsigned long *vers) ;
CMError	GetProfName						( CMProfileRef prof, StringPtr name ) ;
void	EndProfileComment				( void ) ;

CMError PrependProfileToPicHandle		( PicHandle pict,
										  PicHandle *pictNew,
										  CMProfileRef prof ) ;
CMError MatchPicHandle					( PicHandle pict, PicHandle *pictMatched,
										  CMProfileRef srceProf,
										  CMProfileRef prevProf ) ;
CMError ProofPicHandle					( PicHandle pict, PicHandle *pictProofed,
										  CMProfileRef srceProf,
										  CMProfileRef destProf,
										  CMProfileRef prevProf ) ;
CMError CheckPicHandle					( PicHandle pict, PicHandle *pictChecked,
										  CMProfileRef srceProf,
										  CMProfileRef destProf ) ;
										  
CMError	CountProfilesInPicHandle		( PicHandle pict, unsigned long *count ) ;
CMError GetIndexedProfileFromPicHandle	( PicHandle pict, unsigned long index,
										  CMProfileRef *prof, CMProfileLocation *profLoc ) ;


#endif