
#ifndef _QDPRINTING_
#define _QDPRINTING_


#ifndef __PRINTING__
#include <Printing.h>
#endif

#ifndef _WIN_
#include "win.h"
#endif


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define r_printHdlType	'SPRC'


/**\
|**| ==============================================================================
|**| PUBLIC ENUMS
|**| ==============================================================================
\**/
enum {
	noPrinterChosenErr = 42		// OK to use 42, it's obsolete.
} ;


/**\
|**| ==============================================================================
|**| PUBLIC GLOBALS
|**| ==============================================================================
\**/
extern Boolean		gPrGeneral_available ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
Boolean		PrGeneral_available ( void ) ;
OSErr		SetupPHdl			( THPrint *hPrint ) ;
OSErr		SavePHdl			( THPrint hPrint, short resRefNum ) ;
OSErr		LoadPHdl			( THPrint *hPrint, short resRefNum ) ;

void		DoCreatePrintRecord	( winHandle win ) ;
OSErr		DoStyleDlog			( THPrint hPrint ) ;
OSErr		DoJobDlog			( THPrint hPrint ) ;
pascal void	IdleProc			( void ) ;
OSErr		CommandPeriod		( void ) ;
OSErr		DoPrintLoop			( winHandle win ) ;


#endif
