
#include <Resources.h>
#include <TextUtils.h>
#include "resourceStuff.h"

Rect GetRect ( short id )
{
	Handle		rectHndl ;
	Rect		rect = {0,0,0,0};
	
	rectHndl = GetResource( 'RECT', id ) ;
	if (rectHndl != nil )
	{
		rect = **((Rect**)(rectHndl)) ;
		ReleaseResource( rectHndl ) ;
	}
	return rect ;
}


void GetStringPtr ( short id, StringPtr dest )
{
	StringHandle	strHndl ;
	
	strHndl = GetString( id ) ;
	if (strHndl != nil )
	{
		HLock( (Handle)strHndl ) ;
		BlockMove( *strHndl, dest, (*strHndl)[0]+1) ;
		HUnlock( (Handle)strHndl ) ;
		ReleaseResource( (Handle)strHndl ) ;
	}
}
